%define upstream_name	 Finance-Quote
%define upstream_version 1.38

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1
Summary:	Get stock and mutual fund quotes from various exchanges 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/authors/id/E/EC/ECOCODE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test::More) >= 1.1.9
BuildRequires:	perl(ExtUtils::MakeMaker) >= 7.40.0
BuildRequires:	perl(CGI)
BuildRequires:	perl(Carp)
BuildRequires:	perl(DateTime)
BuildRequires:	perl(Encode)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	perl(HTML::TableExtract)
BuildRequires:	perl(HTML::TokeParser)
BuildRequires:	perl(HTML::TreeBuilder)
BuildRequires:	perl(HTTP::Cookies)
BuildRequires:	perl(HTTP::Headers)
BuildRequires:	perl(HTTP::Request::Common)
BuildRequires:	perl(HTTP::Status)
BuildRequires:	perl(JSON)
BuildRequires:	perl(LWP::Protocol::https)
BuildRequires:	perl(LWP::Simple)
BuildRequires:	perl(LWP::UserAgent)
BuildRequires:	perl(Mozilla::CA)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(Time::Piece)
BuildRequires:	perl(URI)
BuildRequires:	perl(URI::QueryParam)
BuildRequires:	perl(base)
BuildRequires:	perl(constant)
BuildRequires:	perl(strict)
BuildRequires:	perl(utf8)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)

BuildArch:	noarch

%description
Finance::Quote provides access to time-delayed stockquotes from a
number of sources.  After you've installed the pacakage, try
'perldoc Finance::Quote' for full information.  Alternatively,
you can 'perldoc lib/Finance/Quote.pm' before the install.

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files 
%doc Documentation/* 
%{perl_vendorlib}/Finance
%{_mandir}/*/*






%changelog

* Sun Sep 06 2015 abfonly <abfonly@gmail.com> 1.380.0-1
- (27cdec4) Log: Update to 1.380.0
- (27cdec4) added BR for an eventual online test


